Bug 210027 - Review Request: bitmap - Bitmap editor and converter utilities for the X Window System
Review Request: bitmap - Bitmap editor and converter utilities for the X Wind...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-09 12:15 EDT by Patrice Dumas
Modified: 2010-07-07 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 03:38:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-10-09 12:15:46 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/bitmap.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/bitmap-1.0.2-1.src.rpm
Description: 

Bitmap provides a bitmap editor and misc converter utilities for the X
Window System.

The package also includes files defining bitmaps associated with the
Bitmap x11 editor.
Comment 1 Mamoru TASAKA 2006-10-09 13:48:07 EDT
Well, I cannot rebuild this by mockbuild under
FC-devel i386.

+ ./configure --build=i686-redhat-linux-gnu --host=i686-redhat-linux-gnu
--target=i386-redhat-linux-gnu --program-prefix= --prefix=/usr
--exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
--datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib
--libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com
--mandir=/usr/share/man --infodir=/usr/share/info --disable-dependency-tracking
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for i686-redhat-linux-gnu-gcc... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... none
checking for a BSD-compatible install... /usr/bin/install -c
checking for mkstemp... yes
checking for i686-redhat-linux-gnu-pkg-config... no
checking for pkg-config... no
checking for BMTOA... configure: error: The pkg-config script could not be found
or is too old.  Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.

Alternatively, you may set the environment variables BMTOA_CFLAGS
and BMTOA_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See `config.log' for more details.
error: Bad exit status from /var/tmp/rpm-tmp.82696 (%build)
Comment 2 Patrice Dumas 2006-10-10 03:05:24 EDT
Thanks for the report, I tested localmock builds, and
I found I had to

- buildrequires pkgconfig, libXext-devel

This is certainly a bug in libXmu-devel, I'll report it. Updated
version available:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/bitmap-1.0.2-2.src.rpm
Comment 3 Mamoru TASAKA 2006-10-10 03:31:10 EDT
I will review this later.
Comment 4 Mamoru TASAKA 2006-10-10 12:16:25 EDT
First review of this package:

1. From http://fedoraproject.org/wiki/Packaging/Guidelines:

* Licensing
  = Okay, this package actually seems to be licensed under MIT.

* Requires:
  Would you explain why this package should have
  Provides: %{name}-devel = %{version}-%{release} ?
  (If this must be as such, this package should also provide:
   xorg-x11-%{name}-devel ?)

* Using %{buildroot} vs $RPM_BUILD_ROOT.
  - Use one, not both.

* File and Directory Ownership :
  - %{_includedir}/X11/bitmaps/ is owned by xorg-x11-xbitmaps.
    If this package requires xbitmaps (would you explain why?),
    owning this directory is not needed for this package.

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
  = Nothing.
Comment 5 Patrice Dumas 2006-10-10 15:57:12 EDT
(In reply to comment #4)
> First review of this package:

> * Requires:
>   Would you explain why this package should have
>   Provides: %{name}-devel = %{version}-%{release} ?

That's because the icons may be included, like regular include files
in some code. This is the same than for (xorg-x11-)xbitmaps-devel.

>   (If this must be as such, this package should also provide:
>    xorg-x11-%{name}-devel ?)

Indeed. Fixed.

> * Using %{buildroot} vs $RPM_BUILD_ROOT.
>   - Use one, not both.

Fixed.

> * File and Directory Ownership :
>   - %{_includedir}/X11/bitmaps/ is owned by xorg-x11-xbitmaps.
>     If this package requires xbitmaps (would you explain why?),
>     owning this directory is not needed for this package.

It requires xbitmap because it uses some bitmaps from there.
When you start the application without xbitmaps installed it 
complains about the missing bitmap.

I fixed the directory owning.

New srpm here:
http://www.environnement.ens.fr/perso/dumas/fc-srpms/bitmap-1.0.2-3.src.rpm
Comment 6 Mamoru TASAKA 2006-10-11 01:31:32 EDT
(In reply to comment #5)
> New srpm here:
> http://www.environnement.ens.fr/perso/dumas/fc-srpms/bitmap-1.0.2-3.src.rpm

This is okay.

------------------------------------------------------------------------
  This package (bitmap) is APPROVED by me.
Comment 7 Patrice Dumas 2006-10-11 03:38:47 EDT
imported, owners edited, branch requested, built in devel.

Thanks for the review.
Comment 8 Mark Chappell 2010-07-05 03:41:02 EDT
Package Change Request
======================
Package Name: bitmap
New Branches: EL-6
Owners: tremble

https://bugzilla.redhat.com/show_bug.cgi?id=610817
Comment 9 Kevin Fenzi 2010-07-07 21:09:42 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.